# Uses of Enum Class
org.eclipse.emf.cdo.lm.reviews.TopicStatus

Packages that use TopicStatus
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl

## Uses of TopicStatus in org.eclipse.emf.cdo.lm.reviews

Fields in org.eclipse.emf.cdo.lm.reviews with type parameters of type TopicStatus
Modifier and Type
Field
Description
`static final List<TopicStatus>`
TopicStatus.`VALUES`
A public read-only list of all the 'Topic Status' enumerators.
Methods in org.eclipse.emf.cdo.lm.reviews that return TopicStatus
Modifier and Type
Method
Description
`static TopicStatus`
TopicStatus.`get(int value)`
Returns the 'Topic Status' literal with the specified integer value.
`static TopicStatus`
TopicStatus.`get(String literal)`
Returns the 'Topic Status' literal with the specified literal value.
`static TopicStatus`
TopicStatus.`getByName(String name)`
Returns the 'Topic Status' literal with the specified name.
`TopicStatus`
Topic.`getStatus()`
Returns the value of the 'Status' attribute.
`static TopicStatus`
TopicStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TopicStatus[]`
TopicStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type TopicStatus
Modifier and Type
Method
Description
`void`
Topic.`setStatus(TopicStatus value)`
Sets the value of the '`Status`' attribute.

## Uses of TopicStatus in org.eclipse.emf.cdo.lm.reviews.impl

Fields in org.eclipse.emf.cdo.lm.reviews.impl declared as TopicStatus
Modifier and Type
Field
Description
`protected static final TopicStatus`
TopicImpl.`STATUS_EDEFAULT`
The default value of the '`Status`' attribute.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return TopicStatus
Modifier and Type
Method
Description
`TopicStatus`
ReviewsFactoryImpl.`createTopicStatusFromString(EDataType eDataType, String initialValue)`
`TopicStatus`
TopicImpl.`getStatus()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl with parameters of type TopicStatus
Modifier and Type
Method
Description
`void`
TopicImpl.`setStatus(TopicStatus newStatus)`